%16x16 3-dimensional case
[top]
components : mpb

[mpb]
type : cell
dim : (16, 16,2)
delay : inertial
defaultDelayTime : 100
border : nowrapped

%Density Layer
neighbors : mpb(0,0,-1)
%Infection Layer
neighbors : mpb(-1,-1,0) mpb(-1,0,0) mpb(-1,1,0)
neighbors : mpb(0,-1,0) mpb(0,0,0) mpb(0,1,0)
neighbors : mpb(1,0,0) mpb(1,-1,0) mpb(1,1,0)
%Density Layer
neighbors : mpb(0,0,1)
localtransition : mpb-rule
initialValue : 0
initialCellsValue : mpbLandBridge.val
zone : sides { (0,0,0)..(0,15,0) (1,0,0)..(1,15,0) (15,0,0)..(15,15,0) (14,0,0)..(14,15,0) (2,0,0)..(13,1,0) (2,14,0)..(13,15,0) }
zone : density { (0,0,1)..(15,15,1) }
[mpb-rule]
%on the infection layer
rule : {-1} 100 {cellpos(2)=0 and ((0,0,0)=1 or (0,0,0)=-1)}%if dead, stay dead, if infected, die
rule : {1} 100 {cellpos(2)=0 and (0.5<(0,0,0))}%
rule : {0.4*(1 - (0,0,1))} 100 {cellpos(2)=0 and (trueCount = 1)}
rule : {0.6*(1 - (0,0,1))} 100 {cellpos(2)=0 and ((trueCount < 4 and 1<trueCount) or 0.8<((0,1,0)+(0,-1,0)+(1,1,0)+(1,-1,0)+(1,0,0)+(-1,-1,0)+(-1,0,0)+(-1,1,0)))}
rule : {0.8*(1 - (0,0,1))} 100 {cellpos(2)=0 and (4 < trueCount)}
rule : {(0,0,0)} 100 {cellpos(2)=0}

[density]
initialValue : 1
rule : {(0,0,0)} 100 {t}

[sides]
rule : 0 100 {t}